##
##  jasmin.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         jasmin
Summary:      Java Assembler
URL:          http://jasmin.sourceforge.net/
Vendor:       Jon Meyer & Troy Downing
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      LGPL
Version:      2.4
Release:      20100508

#   list of sources
Source0:      http://download.sourceforge.net/jasmin/jasmin-%{version}.zip
Source1:      jasmin.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, infozip
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    Jasmin is an assembler for the Java Virtual Machine. It takes ASCII
    descriptions of Java classes, written in a simple assembler-like
    syntax using the Java Virtual Machine instruction set. It converts
    them into binary Java class files, suitable for loading by a Java
    runtime system. Jasmin was originally created as a companion to the
    book "Java Virtual Machine", written by Jon Meyer and Troy Downing
    and published by O'Reilly Associates. Since then, it has become the
    de-facto standard assembly format for Java.

%track
    prog jasmin = {
        version   = %{version}
        url       = http://sourceforge.net/projects/jasmin/files/
        regex     = jasmin-(__VER__)\.zip
    }

%prep
    %setup -q -T -c
    cd ..
    unzip -q -x %{SOURCE0}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/jasmin
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE jasmin.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/jasmin
    %{l_shtool} install -c -m 644 \
        jasmin.jar lib/java_cup.jar \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/jasmin/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

